#include <stdio.h>
#include <unistd.h>
#include <signal.h>
#include <dirent.h>
#include <stdlib.h>
#include <strings.h>
#include <ctype.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/time.h>
#include <pwd.h>

/*
 Note on refreshing:
 If you choose to use ALWAYS_REFRESH, don't redirect output to
 a log file, as it prints directory data on each refresh (maybe
 a pipe to diff or something would be ok though).  ALWAYS_REFRESH
 is more of a debug option though, as it's cpu consuming.

 If you don't use ALWAYS_REFRESH, it outputs directory data
 each time there's a change in the number of files (ie. not in
 permissions/ownership/date).
*/

/* always re-print directory data (otherwise it justs
   displays when there's a change in number of elements) */
#undef ALWAYS_REFRESH

/* beep each time a header is printed */
#ifdef ALWAYS_REFRESH
#undef HEADER_BEEP
#else
#define HEADER_BEEP
#endif /* ALWAYS_REFRESH */

/* stat() and getpwuid() each individual files */
#define OPT_STAT

/* print file sizes */
#ifdef OPT_STAT
#define OPT_SIZE
#else
#undef OPT_SIZE
#endif /* OPT_STAT */

/* default waiting intervals */
#define DEFAULT_SEC 0
#define DEFAULT_USEC 65535

/* default dir if no -d option specified */
#define DEFAULT_DIR "/tmp/"

/* buffer size for dumpfile (in bytes) */
#define DUMPFILE_BUF 4096

/* location of `clear' or `clr' (for -c) */
#define CLEAR_LOC "clear"

#define VERSION "tmp-audit v.0.4 by the airport man <apm@csoft.net>"
#define USAGE "
usage: %s [options]
  -h         command-line help
  -v         print version
  -l         don't print header line each change
  -c         clear screen each change
  -d [dir]   directory to check in (default is %s)
  -s [sec]   seconds interval (default is %d)
  -t [usec]  microseconds interval (default is %d)
  -w [file]  dump all files content in [file]
"

void dosettimer();
void dorep(char* name);
void doscan();
